JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AudioProcessLoadMeasurer::ScopedTimer Struct Reference
juce_audio_basics » buffers

This class measures the time between its construction and destruction and adds it to an AudioProcessLoadMeasurer. More...

`#include <juce_AudioProcessLoadMeasurer.h>`

## Public Member Functions
| ScopedTimer (AudioProcessLoadMeasurer &)
| ScopedTimer (AudioProcessLoadMeasurer &, int numSamplesInBlock)
| ~ScopedTimer ()

## Detailed Description

This class measures the time between its construction and destruction and adds it to an AudioProcessLoadMeasurer.

e.g.

{
AudioProcessLoadMeasurer::ScopedTimer timer (myProcessLoadMeasurer);
myCallback->doTheCallback();
}
AudioProcessLoadMeasurer::ScopedTimer
This class measures the time between its construction and destruction and adds it to an AudioProcessL...
Definition juce_AudioProcessLoadMeasurer.h:74

## Constructor & Destructor Documentation

## ◆ ScopedTimer() [1/2]

AudioProcessLoadMeasurer::ScopedTimer::ScopedTimer | ( | AudioProcessLoadMeasurer & |  | ) |

## ◆ ScopedTimer() [2/2]

AudioProcessLoadMeasurer::ScopedTimer::ScopedTimer | ( | AudioProcessLoadMeasurer & | ,
|  | int | numSamplesInBlock )

## ◆ ~ScopedTimer()

AudioProcessLoadMeasurer::ScopedTimer::~ScopedTimer | ( |  | ) |

The documentation for this struct was generated from the following file:

- juce_AudioProcessLoadMeasurer.h